cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1128
Views
0
Helpful
1
Replies

OPEN_REQ giving FAILURE_CONF, CTI protocol versioning

dbonagir
Cisco Employee
Cisco Employee

Hello,

1. I have a problem with sendng OPEN_REQ

I get in response error: "com.cisco.Ged188.CRACTIInvalidMessageException: readMsg: Handled InvalidObjectException: Invalid definition for message of type: OPEN_REQ; nested exception is: no definition for message field of type: unknown tag: 0"

How can I know what is wrong?

2. I am also not sure about protocol CTI versioning. I've read documentation "Cisco Unified Contact Center Express CTI Protocol Developer Guide Release 10.5(1)". I can see in this doc that some fields are supported only with specific protocol version (e.g.OPEN_CONF and field: FltPeripheralID for version 14 and later only).

But how can I know what version should I use? My server version is 10.6.1, my docs fo CTI (above) is 10.5.1 but version needs to be between 10 - 20.

I use version 14, but tried also numbers from 10 to 20 and in 1. still have the same error.

Urszula

1 Reply 1

abarbkov
Beginner
Beginner

Urszula,

 

Try set the message Version field to 14. Turns out the message versions are different to the protocol versions. We're still trying to work out the full impact of this because the message versions aren't documented anywhere that we can find so far. The only reference we actually found with respect to this was in the change log of the UCCE 11.5 docs.

 

https://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cust_contact/contact_center/icm_enterprise/icm_enterprise_11_5_1/Reference/Guide/ucce_b_cti-server-message-reference/ucce_b_cti-server-message-reference_chapter_0111.html

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers